cURL
curl --request GET \ --url https://api-{region}.sesametime.com/contract/v1/employees/{employeeId}/compensations \ --header 'Authorization: Bearer <token>'
{ "data": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "compensationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "salaryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "startDate": "2024-01-01", "endDate": "2024-12-31", "createdAt": "2020-01-01T10:00:00+01:00", "updatedAt": "2020-01-01T10:00:00+01:00", "compensation": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "Comision por ventas", "compensationType": "fixed", "quantity": 1500, "percentage": 10.5, "period": "weekly", "currency": "MXN", "recurrence": 1, "status": "active", "origin": "payroll", "code": "<string>", "comment": "<string>", "createdAt": "2020-01-01T10:00:00+01:00", "updatedAt": "2020-01-01T10:00:00+01:00" } } ], "meta": { "currentPage": 1, "lastPage": 1, "total": 1, "perPage": 1 } }
Returns all compensations currently assigned to the employee via their active salary.
API token obtained from Sesame HR Dashboard > Settings > Integrations > API
The employee ID
Successful response
Show child attributes
Suggestions